### Method

# WebKit2 Settings set_enable_private_browsing

deprecated: 2.16.

#### Declaration [src]

    void
    webkit_settings_set_enable_private_browsing (
      WebKitSettings* settings,
      gboolean enabled
    )

#### Description [src]

Set the `WebKitSettings:enable-private-browsing` property.

Deprecated since: 2.16.

Use `WebKitWebView:is-ephemeral` or `WebKitWebContext:is-ephemeral` instead.

Sets property | `WebKit2.Settings:enable-private-browsing`

#### Parameters

`enabled`

  Type: `gboolean`

  Value to be set.